<html devsite><head>
    <title>Pixel/Nexus 安全性公告 - 2018 年 7 月</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2018 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          //www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>發佈日期：2018 年 7 月 2 日 | 更新日期：2018 年 7 月 3 日</em></p>

<p>
Pixel/Nexus 安全性公告列舉對<a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">支援的 Google Pixel 和 Nexus 裝置</a> (Google 裝置) 造成影響的安全性漏洞和功能改善項目，並說明各項相關細節。2018-07-05 之後的安全性修補程式等級也已針對 Google 裝置解決了這個公告和 2018 年 7 月 Android 安全性公告列出的所有問題。請參閱<a href="https://support.google.com/pixelphone/answer/4457705">檢查及更新 Android 版本</a>一文，瞭解如何查看裝置的安全性修補程式等級。
</p>
<p>
所有支援的 Google 裝置都會收到 2018-07-05 修補等級更新。我們建議所有客戶接受這些裝置更新。
</p>
<p class="note">
<strong>注意：</strong>您可以前往 <a href="https://developers.google.com/android/images">Google Developers 網站</a>取得 Google 裝置韌體映像檔。
</p>

<h2 id="announcements">公告事項</h2>
<p>我們除了修補 2018 年 7 月 Android 安全性公告中所列出的安全性漏洞外，也針對下文列出的 Pixel 和 Nexus 裝置的安全性漏洞提供修補程式。我們的合作夥伴至少會提前一個月收到這些問題的相關通知，方便他們將相關內容納入其裝置更新中。</p>

<h2 id="security-patches">安全性修補程式</h2>
<p>
我們依照資安問題本身所影響的元件將各項漏洞分門別類，另外也附上了問題說明和一份 CVE 資訊表，其中包括了相關參考資料、<a href="#type">漏洞類型</a>、<a href="https://source.android.com/security/overview/updates-resources.html#severity">嚴重程度</a>，以及更新的 Android 開放原始碼計劃 (AOSP) 版本 (在適用情況下)。假如相關錯誤有公開變更，該錯誤 ID 會連結到相對應的變更 (例如 Android 開放原始碼計劃變更清單)。如果單一錯誤有多項相關變更，您可以透過該錯誤 ID 後面的編號連結開啟額外的參考資料。</p>

<h3 id="framework">架構</h3>

<table>
  <colgroup><col width="21%" />
  <col width="21%" />
  <col width="14%" />
  <col width="14%" />
  <col width="30%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>參考資料</th>
    <th>類型</th>
    <th>嚴重程度</th>
    <th>更新的 Android 開放原始碼計劃版本</th>
  </tr>
  <tr>
    <td>CVE-2018-9426</td>
    <td><a href="https://android.googlesource.com/platform/external/bouncycastle/+/129a20459ea828c1b05f0d5da57f69a2a3212ad7">A-79148652</a></td>
    <td>ID</td>
    <td>中</td>
    <td>7.0、7.1.1、7.1.2、8.0、8.1</td>
  </tr>
  <tr>
    <td>CVE-2018-9376</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/e6655cb8a78b757e9329b8200a90746ffac3a5a9">A-69981755</a></td>
    <td>EoP</td>
    <td>中</td>
    <td>6.0、6.0.1、7.0、7.1.1、7.1.2、8.0、8.1</td>
  </tr>
  <tr>
    <td>CVE-2018-9434</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/native/+/ab1fb955acc8bbe6b9086a4ab54beab003a887a9">A-29833520</a>
[<a href="https://android.googlesource.com/platform/frameworks/native/+/c4b7338b1a0995222d229a6f794db02c974ba0d8">2</a>]</td>
    <td>ID</td>
    <td>中</td>
    <td>6.0、6.0.1、7.0、7.1.1、7.1.2、8.0、8.1</td>
  </tr>
</tbody></table>

<h3 id="media-framework">媒體架構</h3>

<table>
  <colgroup><col width="21%" />
  <col width="21%" />
  <col width="14%" />
  <col width="14%" />
  <col width="30%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>參考資料</th>
    <th>類型</th>
    <th>嚴重程度</th>
    <th>更新的 Android 開放原始碼計劃版本</th>
  </tr>
  <tr>
    <td>CVE-2018-9429</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/7306d8b37c00729dc41d663a4b244a00209d537b">A-73927042</a></td>
    <td>ID</td>
    <td>中</td>
    <td>8.1</td>
  </tr>
  <tr>
    <td>CVE-2018-9423</td>
    <td><a href="https://android.googlesource.com/platform/external/libhevc/+/e46e5994a80c31f6533384f0f325555f3a87bee3">A-77599438</a></td>
    <td>ID</td>
    <td>中</td>
    <td>7.0、7.1.1、7.1.2、8.0、8.1</td>
  </tr>
</tbody></table>

<h3 id="system">系統</h3>

<table>
  <colgroup><col width="21%" />
  <col width="21%" />
  <col width="14%" />
  <col width="14%" />
  <col width="30%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>參考資料</th>
    <th>類型</th>
    <th>嚴重程度</th>
    <th>更新的 Android 開放原始碼計劃版本</th>
  </tr>
  <tr>
    <td>CVE-2018-9413</td>
    <td><a href="https://android.googlesource.com/platform/system/bt/+/97eb2f9cfba4f38d64dffa0558f1c4c3aa91b4f8">A-73782082</a></td>
    <td>RCE</td>
    <td>中</td>
    <td>7.0、7.1.1、7.1.2、8.0、8.1</td>
  </tr>
  <tr>
    <td>CVE-2018-9418</td>
    <td><a href="https://android.googlesource.com/platform/system/bt/+/8e702ed3539caac44a616243e33aaad1b2b4801f">A-73824150</a></td>
    <td>RCE</td>
    <td>中</td>
    <td>7.0、7.1.1、7.1.2、8.0、8.1</td>
  </tr>
  <tr>
    <td>CVE-2018-9430</td>
    <td><a href="https://android.googlesource.com/platform/system/bt/+/605ebb3369b3f961196815065a9fe4ba5bc4d659">A-73963551</a></td>
    <td>RCE</td>
    <td>中</td>
    <td>6.0、6.0.1、7.0、7.1.1、7.1.2、8.0、8.1</td>
  </tr>
  <tr>
    <td>CVE-2018-9414</td>
    <td><a href="https://android.googlesource.com/platform/packages/apps/Bluetooth/+/98ff9fe7db5a25fa2c772a85f0b9baa3545228bf">A-78787521</a></td>
    <td>EoP</td>
    <td>中</td>
    <td>6.0、6.0.1、7.0、7.1.1、7.1.2、8.0、8.1</td>
  </tr>
  <tr>
    <td>CVE-2018-9431</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/5c23facbf802c9b4c88ceb60e1b782abcc55ddc9">A-77600924</a></td>
    <td>EoP</td>
    <td>中</td>
    <td>8.0、8.1</td>
  </tr>
</tbody></table>

<h3 id="kernel-components">核心元件</h3>

<table>
  <colgroup><col width="21%" />
  <col width="21%" />
  <col width="14%" />
  <col width="14%" />
  <col width="30%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>參考資料</th>
    <th>類型</th>
    <th>嚴重程度</th>
    <th>元件</th>
  </tr>
  <tr>
   <td>CVE-2018-9416</td>
   <td>A-75300370<a href="#asterisk">*</a></td>
   <td>EoP</td>
   <td>中</td>
   <td>SCSI 驅動程式</td>
  </tr>

  <tr>
   <td>CVE-2018-9415</td>
   <td>A-69129004<br />
   <a href="https://patchwork.kernel.org/patch/10175615/">上游程式庫核心</a></td>
   <td>EoP</td>
   <td>中</td>
   <td>AMBA 驅動程式</td>
  </tr>

  <tr>
   <td>CVE-2018-7995</td>
   <td>A-77694092<br />
<a href="https://git.kernel.org/pub/scm/linux/kernel/git/tip/tip.git/commit/?id=b3b7c4795ccab5be71f080774c45bbbcc75c2aaf">上游程式庫核心</a></td>
   <td>EoP</td>
   <td>中</td>
   <td>mcheck</td>
  </tr>

  <tr>
   <td>CVE-2018-1065</td>
   <td>A-76206188<br />
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=57ebd808a97d7c5b1e1afb937c2db22beba3c1f8">上游程式庫核心</a></td>
   <td>EoP</td>
   <td>中</td>
   <td>netfilter</td>
  </tr>

  <tr>
   <td>CVE-2017-1821</td>
   <td>A-76874268<br />
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=27463ad99f738ed93c7c8b3e2e5bc8c4853a2ff2">上游程式庫核心</a></td>
   <td>EoP</td>
   <td>中</td>
   <td>乙太網路</td>
  </tr>

  <tr>
   <td>CVE-2017-1000</td>
   <td>A-68806309<br />
<a href="https://git.kernel.org/pub/scm/linux/kernel/git/davem/net.git/commit/?id=85f1bd9a7b5a79d5baa8bf44af19658f7bf77bfa">上游程式庫核心</a></td>
   <td>EoP</td>
   <td>中</td>
   <td>Linux 核心</td>
  </tr>
</tbody></table>

<h3 id="qualcomm-components">Qualcomm 元件</h3>

<table>
  <colgroup><col width="21%" />
  <col width="21%" />
  <col width="14%" />
  <col width="14%" />
  <col width="30%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>參考資料</th>
    <th>類型</th>
    <th>嚴重程度</th>
    <th>元件</th>
  </tr>
 <tr>
   <td>CVE-2018-5865</td>
   <td>A-77528512<br />
   <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=8fb4202e3bb8cfbbb9f9f0e8695891c9971cfcc2">QC-CR#2179937</a></td>
   <td>ID</td>
   <td>中</td>
   <td>fwlog</td>
  </tr>
  <tr>
   <td>CVE-2018-5864</td>
   <td>A-77528805<br />
   <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=9c042f7827e0d21e5b93c04b418bca0230de91dc">QC-CR#2170392</a></td>
   <td>ID</td>
   <td>中</td>
   <td>WMA</td>
  </tr>
  <tr>
   <td>CVE-2018-11304</td>
   <td>A-73242483<a href="#asterisk">*</a><br />
       QC-CR#2209291</td>
   <td>EoP</td>
   <td>中</td>
   <td>音效驅動程式</td>
  </tr>
  <tr>
   <td>CVE-2018-5907</td>
   <td>A-72710411<a href="#asterisk">*</a><br />
       QC-CR#2209291</td>
   <td>EoP</td>
   <td>中</td>
   <td>音效驅動程式</td>
  </tr>
  <tr>
   <td>CVE-2018-5862</td>
   <td>A-77528300<br />
   <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=41ad3f76792e08a84962a0b8e9cfb1ba6c4c9ca6">QC-CR#2153343</a></td>
   <td>EoP</td>
   <td>中</td>
   <td>WLAN</td>
  </tr>
  <tr>
   <td>CVE-2018-5859</td>
   <td>A-77527701<br />
   <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=36400a7fa3753028a3bf89a9cdb28c5e25693c59">QC-CR#2146486</a></td>
   <td>EoP</td>
   <td>中</td>
   <td>視訊驅動程式</td>
  </tr>
  <tr>
   <td>CVE-2018-5858</td>
   <td>A-77528653<br />
   <a href="https://source.codeaurora.org/quic/la/platform/vendor/opensource/audio-kernel/commit/?id=78193fa06b267c1d6582e5e6f9fb779cf067015e">QC-CR#2174725</a>
   [<a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=cd1f0cdd4715e8eae4066bd34df2eef4cf94bd7f">2</a>]</td>
   <td>EoP</td>
   <td>中</td>
   <td>音訊</td>
  </tr>
  <tr>
   <td>CVE-2018-3570</td>
   <td>A-72956998<br />
   <a href="https://source.codeaurora.org/quic/la/kernel/msm-4.4/commit/?id=5f3b521525689671f2925a49121d0abe28a0a398">QC-CR#2149165</a></td>
   <td>EoP</td>
   <td>中</td>
   <td>cpuidle 驅動程式</td>
  </tr>
  <tr>
   <td>CVE-2017-15851</td>
   <td>A-38258851<a href="#asterisk">*</a><br />
       QC-CR#2078155</td>
   <td>EoP</td>
   <td>中</td>
   <td>Camerav2</td>
  </tr>
  <tr>
   <td>CVE-2017-0606</td>
   <td>A-34088848<a href="#asterisk">*</a><br />
       QC-CR#2148210<br />
       QC-CR#2022490</td>
   <td>EoP</td>
   <td>中</td>
   <td>/dev/voice_svc 驅動程式</td>
  </tr>
</tbody></table>

<h2 id="functional-patches">功能修補程式</h2>
<p>
這些更新的目的在於解決受影響 Pixel 裝置的功能問題，與 Pixel 裝置的安全性無關。下表列出相關參考資料、受影響的類別 (例如藍牙或行動數據)、改善項目，以及受影響的裝置。
</p>

<table>
  <tbody><tr>
   <th>參考資料</th>
   <th>類別</th>
   <th>改善項目</th>
   <th>裝置</th>
  </tr>
  <tr>
   <td>A-73204553</td>
   <td>網路連線</td>
   <td>改善連線到特定路由器時的 Wi-Fi 連線一致性</td>
   <td>Pixel 2、Pixel 2 XL</td>
  </tr>
</tbody></table>

<h2 id="common-questions-and-answers">常見問題與解答</h2>
<p>
如果您在閱讀這篇公告後有任何疑問，可參考本節的常見問答。
</p>
<p>
<strong>1. 如何判斷我目前的裝置軟體版本是否已修正這些問題？
</strong>
</p>
<p>
2018-07-05 之後的安全性修補程式等級完全解決了與 2018-07-05 安全性修補程式等級及所有先前修補程式等級相關的問題。請參閱 <a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">Pixel 與 Nexus 更新時間表</a>中的操作說明，瞭解如何查看裝置的安全性修補程式等級。
</p>
<p id="type">
<strong>2.「類型」<em></em>欄中的項目代表什麼意義？</strong>
</p>
<p>
在資安漏洞詳情表格中，「類型」<em></em>欄中的項目代表的是安全性漏洞的類別。
</p>
<table>
  <colgroup><col width="25%" />
  <col width="75%" />
  </colgroup><tbody><tr>
   <th>縮寫</th>
   <th>定義</th>
  </tr>
  <tr>
   <td>RCE</td>
   <td>遠端程式碼執行</td>
  </tr>
  <tr>
   <td>EoP</td>
   <td>權限升級</td>
  </tr>
  <tr>
   <td>ID</td>
   <td>資訊外洩</td>
  </tr>
  <tr>
   <td>DoS</td>
   <td>阻斷服務</td>
  </tr>
  <tr>
   <td>無</td>
   <td>未分類</td>
  </tr>
</tbody></table>
<p>
<strong>3.「參考資料」<em></em>欄底下列出的識別碼代表什麼意義？</strong>
</p>
<p>
資安漏洞詳情表格中「參考資料」<em></em>欄底下的項目可能會包含一個前置字串，用以表示該參考資料值所屬的機構或公司。
</p>
<table>
  <colgroup><col width="25%" />
  <col width="75%" />
  </colgroup><tbody><tr>
   <th>前置字串</th>
   <th>參考資料</th>
  </tr>
  <tr>
   <td>A-</td>
   <td>Android 錯誤 ID</td>
  </tr>
  <tr>
   <td>QC-</td>
   <td>Qualcomm 參考編號</td>
  </tr>
  <tr>
   <td>M-</td>
   <td>MediaTek 參考編號</td>
  </tr>
  <tr>
   <td>N-</td>
   <td>NVIDIA 參考編號</td>
  </tr>
  <tr>
   <td>B-</td>
   <td>Broadcom 參考編號</td>
  </tr>
</tbody></table>
<p id="asterisk">
<strong>4.「參考資料」<em></em>欄中 Android 錯誤 ID 旁邊的星號 (*) 代表什麼意義？</strong>
</p>
<p>
在「參考資料」<em></em>欄中的 Android 錯誤 ID 旁邊標上星號 (*) 代表該問題並未公開，相關的更新通常是直接整合在最新的 Pixel/Nexus 裝置專用驅動程式的安裝檔中。您可以前往 <a href="https://developers.google.com/android/nexus/drivers">Google Developers 網站</a>下載這些驅動程式。
</p>
<p>
<strong>5. 為什麼安全性漏洞會分別刊載在這份安全性公告和 Android 安全性公告？</strong>
</p>
<p>
為了宣告 Android 裝置最新的安全性修補程式等級，我們必須先在 Android 安全性公告中刊載相關的安全性漏洞。其他安全性漏洞 (例如本安全性公告所刊載的安全性漏洞) 並未強制規定宣告安全性修補程式等級。
</p>
<h2 id="versions">版本</h2>
<table>
  <colgroup><col width="25%" />
  <col width="25%" />
  <col width="50%" />
  </colgroup><tbody><tr>
   <th>版本</th>
   <th>日期</th>
   <th>附註</th>
  </tr>
  <tr>
   <td>1.0</td>
   <td>2018 年 7 月 2 日</td>
   <td>發佈公告。</td>
  </tr>
  <tr>
   <td>1.1</td>
   <td>2018 年 7 月 3 日</td>
   <td>修訂公告內容 (加入 Android 開放原始碼計劃連結)。</td>
  </tr>
</tbody></table>

</body></html>